Subject: iSCSI : Login response with zero DataSegmentLength

From: "Priya Viswambharan" <[email-masked]>
Date: Thu, 5 Sep 2002 15:09:39 -0700

Hi all,
 
Consider the following scenario. 
 
1) I -> T    : login request: T=0, csg = 1, some text parameters that
require negotiation
2) I <- T    : login response: T = 0, csg = 1, response for the
initiator's text parameters + target's own text parameters that require
negotiation.
3) I -> T    : login request: T = 1, csg = 1, nsg = 3, response for the
parameters proposed by the target in step 2
 
Assume that at the end of the login request in step 3 all text
parameters that need negotiation have been negotiated correctly at both
ends. Is it valid for the target to send a login response as follows
signifying the end of login phase? If not, what should be the correct
response from the target ?
 
4) I <- T : login response : T=1, csg = 1, nsg = 3, DataSegmentLength =
0
 
I observed that the draft says that "A target or initiator SHOULD NOT
use a Text or Login Response or Text or Login Request with no data
segment (DataSegmentLength 0) unless explicitly required by a general or
a key-specific negotiation rule."
 
To me the above scenario does not seem to be covered by this rule.
Please clarify.
 
Thanks
Priya

---

From: "Julian Satran" <[email-masked]>
Date: Fri, 6 Sep 2002 14:28:07 +0300

Priya,

The answer you suggest in step 4 is correct - as you are required to 
conclude the negotiation. If your answer would have had T=0 and a zero 
length
Data Segment that would have violated the rule you quote. 

Basically the rule is there to help avoid unnecessary traffic.

Julo

"Priya Viswambharan" <[email-masked]>
Sent by: [email-masked]
06/09/02 01:09

        To:     <[email-masked]>
        cc: 
        Subject:        iSCSI : Login response with zero DataSegmentLength

Hi all,

 
Assume that at the end of the login request in step 3 all text parameters 
that need negotiation have been negotiated correctly at both ends. Is it 
valid for the target to send a login response as follows signifying the 
end of login phase? If not, what should be the correct response from the 
target ?
 
4) I <- T : login response : T=1, csg = 1, nsg = 3, DataSegmentLength = 0
 
I observed that the draft says that "A target or initiator SHOULD NOT use a Text or Login Response or Text or 
Login Request with no data segment (DataSegmentLength 0) unless explicitly 
required by a general or a key-specific negotiation rule."
 
To me the above scenario does not seem to be covered by this rule. Please 
clarify.
 
Thanks
Priya